global package_dir
set package_dir $dir

lappend auto_path [file join $dir slide BWidget-1.2.1]

proc DynamicLibrary { name } {
    if { [info sharedlibextension] == ".dll" } { 
	# NT
	list "$name.dll" 
    } else {
	# Unix
	list "lib$name.so" 
    }
}

package ifneeded slide 1.0 [list source [file join $dir slide pkgLoad.tcl]]

package ifneeded slideui 1.0 [list source [file join $dir slideui pkgLoad.tcl]]

package ifneeded itclcxx 1.0 [list source [file join $dir itclcxx pkgLoad.tcl]]
package ifneeded mathlib 1.0 [list source [file join $dir mathlib pkgLoad.tcl]]
package ifneeded iklib 1.0 [list source [file join $dir iklib pkgLoad.tcl]]
package ifneeded curvelib 1.0 [list source [file join $dir curvelib pkgLoad.tcl]]
package ifneeded genlib 1.0 [list source [file join $dir genlib pkgLoad.tcl]]
package ifneeded parselib 1.0 [list source [file join $dir parselib pkgLoad.tcl]]


